//*************************************************************************************************
// File Name        : RD_DID_ABh_QPI.c
// Purpose          : This file illustrates the test case to implement the following
//                    Read Device ID in QPI mode
//*************************************************************************************************

// Header files and Function files
#include <stdio.h>
#include "Qspi_Address.h"
#include "common_functions.c"
#include "Qspi_functions.c"


void main()
        {

          //--------------------------------------------------------------------------------------
          //Prints the amity of two companies for initial testing purpose
          //--------------------------------------------------------------------------------------
            printf("TCS_INCORE");

          //--------------------------------------------------------------------------------------
          //Function call to initialize the QSPI controller module
          //--------------------------------------------------------------------------------------
            qspi_init(0x03001f01,0x001f0701);

          //--------------------------------------------------------------------------------------
          //To Enable QPI mode
          //--------------------------------------------------------------------------------------            
            EN_QPI_mode(0x00003135);

          //--------------------------------------------------------------------------------------
          //Function call to perform DID read from flash
          //--------------------------------------------------------------------------------------
            read_MDID_DID(0x0,0x071823ab,0x0);

}
